org.gradle.api.artifacts.dsl

## Interface DependencyLockingHandler

-     @Incubating
      public interface DependencyLockingHandler

  A `DependencyLockingHandler` manages the behaviour and configuration of dependency locking.
  Since:
    4.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lockAllConfigurations()` Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }

- - ### Method Detail

    - #### lockAllConfigurations

          void lockAllConfigurations()

      Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }